ECalView
3
LIBECAL Library

# ECalView

Represents a search against a calendar.

## Synopsis

                        ECalView;
    struct _ECal*       e_cal_view_get_client               (ECalView *view);
    void                e_cal_view_start                    (ECalView *view);

## Object Hierarchy

      GObject
       +----ECalView

## Properties

      "client"                   ECal*                 : Read / Write / Construct Only
      "listener"                 gpointer              : Read / Write / Construct Only
      "view"                     gpointer              : Read / Write / Construct Only

## Signals

      "objects-added"                                  : Run First
      "objects-modified"                               : Run First
      "objects-removed"                                : Run First
      "view-done"                                      : Run First
      "view-progress"                                  : Run First

## Description

In the same way that an EBookView represents a view of an addressbook, the ECalView is a view of the ECal.

## Details

### ECalView

    typedef struct _ECalView ECalView;

### e_cal_view_get_client ()

    struct _ECal*       e_cal_view_get_client               (ECalView *view);

Get the ECal associated with this view.

`view` :

  A ECalView object.

Returns :

  the associated client.

### e_cal_view_start ()

    void                e_cal_view_start                    (ECalView *view);

Starts a live query to the calendar/tasks backend.

`view` :

  A ECalView object.

## Property Details

### The `"client"` property

      "client"                   ECal*                 : Read / Write / Construct Only

### The `"listener"` property

      "listener"                 gpointer              : Read / Write / Construct Only

### The `"view"` property

      "view"                     gpointer              : Read / Write / Construct Only

## Signal Details

### The `"objects-added"` signal

    void                user_function                      (ECalView *ecalview,
                                                            gpointer  arg1,
                                                            gpointer  user_data)      : Run First

`ecalview` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"objects-modified"` signal

    void                user_function                      (ECalView *ecalview,
                                                            gpointer  arg1,
                                                            gpointer  user_data)      : Run First

`ecalview` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"objects-removed"` signal

    void                user_function                      (ECalView *ecalview,
                                                            gpointer  arg1,
                                                            gpointer  user_data)      : Run First

`ecalview` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"view-done"` signal

    void                user_function                      (ECalView *ecalview,
                                                            gint      arg1,
                                                            gpointer  user_data)      : Run First

`ecalview` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

### The `"view-progress"` signal

    void                user_function                      (ECalView *ecalview,
                                                            gchar    *arg1,
                                                            gint      arg2,
                                                            gpointer  user_data)      : Run First

`ecalview` :

  the object which received the signal.

`arg1` :

`arg2` :

`user_data` :

  user data set when the signal handler was connected.

## See Also

e-cal, e-cal-view-listener